// Input_7856.h: interface for the CInput_7856 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputBase.h"

class CAdlinkCommon_APS;

class CInput_7856 : public CInputBase
{
public:
    CInput_7856(const CInputSetting& Setting);
    virtual ~CInput_7856();

    // method to query Analog input voltage
    // nRange = 0 ->  +/-10V
    // nRange = 1 ->  +/-5V
    // nRange = 2 ->  +/-2.5V
    // nRange = 3 ->  +/-1.25V
    BOOL GetVoltage(double& dVoltage, int nRange) override;

    int GetState() override;

private:
    std::unique_ptr<CAdlinkCommon_APS> m_pCommon;
};
